<template>
  <div class="">
    <h2>Kategorie</h2>
    <ul class="list-unstyled">
      <li>
        <el-link :underline="false" @click="showCategorySongs(-1)">Vsetky</el-link>
      </li>
      <li v-for="category in categories" v-bind:key="category.id">
        <el-link @click="showCategorySongs(category.id)" :underline="false">{{ category.name }}</el-link>
      </li>
    </ul>
  </div>
</template>

<script>
    import Requester from "@/controllers/requests/category.js";

    const requester = new Requester();
    export default {
        name: "CategoryList",
        data() {
            return {
                categories: {}
            }
        },
        created() {
            this.listCategories();
        },
        methods: {
            listCategories() {
                requester.getAllCategories().then(res => {
                    this.categories = res;
                })
            },
            showCategorySongs(categoryID) {
                this.$root.$emit("sortByCategory", categoryID);
                if (this.$router.currentRoute.path !== "/songs" || this.$router.currentRoute.path !== "/") {
                    this.$router.push({name: 'home'})
                }
            }
        }
    }
</script>

<style scoped>

</style>
